:host ::ng-deep {
    .mat-form-field-outline-start {
        border-radius: 20px 0 0 20px !important;
        min-width: 28px !important;
    }
    .mat-form-field-outline-end {
        border-radius: 0 20px 20px 0 !important;
    }
    .mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label, .mat-form-field-appearance-outline.mat-form-field-can-float .mat-input-server:focus+.mat-form-field-label-wrapper .mat-form-field-label {
        padding-left: 29px
    }
    .mat-form-field-appearance-outline .mat-form-field-infix {
        padding: 0.5em 0 1em 0.75em;
    }
    .mat-form-field-appearance-outline .mat-form-field-outline {
        color: #626D85;
    }
    .mat-select-arrow {
        margin-top: 0.5rem;
    }
}
::ng-deep {
    .matSelectClass{
        margin-top: 35px !important; 
        min-width: calc(100% + 25px) !important;
        border-radius: 15px !important;
    }
    .mat-option{
        margin: 10px;
    }
    .mat-option:hover {
        background: #0e1c47 !important;
        color: white !important;
        border-radius: 9999px;
        margin: 10px;
    }
    .mat-select-panel .mat-option.mat-selected:not(.mat-option-multiple) {
        border-radius: 9999px;
        margin: 10px;
        background: rgba(0,0,0,.12);
    }
    .mat-select-panel .mat-option {
        line-height: 2.5em;
        height: 2.5em;
    }
    .mat-primary .mat-option.mat-selected:not(.mat-option-disabled) {
        color: #0e1c47;
    }
    .mat-option.mat-active {
        border-radius: 9999px;
    }
}
